#
# spec file for package python-process-tests
#
# Copyright (c) 2023 SUSE LLC
# Copyright (c) 2015 LISA GmbH, Bingen, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-process-tests
Version:        3.0.0
Release:        1.4
Summary:        Tools for testing processes
License:        BSD-2-Clause
URL:            https://github.com/ionelmc/python-process-tests
Source:         https://files.pythonhosted.org/packages/source/p/process-tests/process-tests-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  dos2unix
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%python_subpackages

%description
Testcase classes and assertions for testing processes.

%prep
%setup -q -n process-tests-%{version}
dos2unix LICENSE src/process_tests.egg-info/dependency_links.txt

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%license LICENSE
%doc README.rst
%pycache_only %{python_sitelib}/__pycache__
%{python_sitelib}/process_tests.py*
%{python_sitelib}/process_tests-%{version}-py%{python_version}.egg-info

%changelog
* Tue Dec 12 2023 Dirk Müller <dmueller@suse.com>
- update to 3.0.0:
  * Dropped Python 2 support.
  * Added an optional non-pipe TestProcess mode. You can use file
    objects for processes that are too verbose for a pipe.
  * Added some tests.
* Fri Apr 21 2023 Dirk Müller <dmueller@suse.com>
- add sle15_python_module_pythons (jsc#PED-68)
* Thu Apr 13 2023 Matej Cepl <mcepl@suse.com>
- Make calling of %%{sle15modernpython} optional.
* Thu Jan  5 2023 Dirk Müller <dmueller@suse.com>
- update to 2.1.2:
  * Fixed another regression caused by the ``universal_newlines`` for
    Windows.
  * Fixed regression caused by the ``universal_newlines`` (now the internals
    don't decode strings).
  * Applied the cookiecutter-pylibrary templates.
  * ``TestProcess`` will use ``universal_newlines`` by default for the
    contained ``subprocess.Popen`` to make sure line buffering is actually
  used. This also fixes warnings on Python 3.
* Mon Oct 14 2019 Matej Cepl <mcepl@suse.com>
- Replace %%fdupes -s with plain %%fdupes; hardlinks are better.
* Wed Feb 13 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 2.0.2:
  * No upstream changelog provided
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Sun Nov 12 2017 arun@gmx.de
- specfile:
  * update copyright year
- update to version 1.2.2:
  * Add missing output decoding.
* Fri Mar 31 2017 aloisio@gmx.com
- Updated to 1.2.1
- Converted to single-spec
* Wed Oct 21 2015 hpj@urpla.net
- version 1.2.0: initial build
